function [hsal]=B2_SDH_24_RX(u)
%========================================================
% B2_SDH_24_RX
%Esta funcion calcula el valor de byte B2 despues de la recepcion para una trama STM-4.
%========================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%========================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%========================================================
%
%%%=======%%%
[e f]=size(u);
g=0;
%%%=======%%%

for w=1:e/9 %Controla el numero de tramas
    g=(w-1)*9;
    for z=1:24 %Controla el tamano del B2
        b2_24c(w,z)=0;
        for san=1:9 %Controla las filas con las que se va a trabajar
           h=z;
            while h<=f %Controla el numero de columnas
                b2_24c(w,z)=xor(b2_24c(w,z),u((san+g),h));
                h=h+24;
            end
        end
    end
end

hsal=b2_24c(:,:);

end
%[EOF] B2_SDH_24_RX.m