function [sal_codif]=Codificacion_Linea(ent_binaria)
%
%================================================
%  Codificacion_Linea = Esta funcion permite escoger el valor de la Senalizacion de Binaria de Linea 
%                       Entre los posibles tipos a escoger se tiene:
%                                                            
% .....	Polar NRZ 
%        Convierte la secuencia binaria a una secuencia polar usando la
%        siguiente transformacion:
%			                                 1 ---->  1 volt
%			                                 0 ----> -1 volt
%.....	Unipolar NRZ (Valor por Defecto)
%        Convierte la secuencia binaria a una secuencia unipolar usando la
%        siguiente transformacion:
%			                                 1 ---->  1 volt
%			                                 0 ---->  0 volt
%
%================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Diciembre 2003
%	VERSION : 1.0
%
%================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Diciemdre 2003 (DZ)
%================================================
%
sal=zeros(size(ent_binaria));
%
%================================================
%
%Selecciona el calculo para cada tipo de codificacion
%
blk=([gcs,'/','Codificador']);
tipo=get_param(blk,'codif');
senSS=get_param(blk,'senalSS');
%
%
switch (tipo)
    case 'on'
        switch (senSS)
            case 'STS-12/STM-4'
                sal = (1.2)*ent_binaria(:,:);
            otherwise
                sal = (1.1)*ent_binaria(:,:);
        end
    case 'off'
        switch (senSS)
            case 'STS-12/STM-4'
                sal = (1.2)*(2*ent_binaria - ones(size(ent_binaria)));
            otherwise
                sal = (1.1)*(2*ent_binaria - ones(size(ent_binaria)));
        end
end

sal_codif = sal(:,:);

end