function [Binaria]=Decodificacion_Senal(sec_cod)
%
%====================================================
%  Decodificacion_Senal = Esta funcion permite decodificar la Senalizacion de Binaria que 
%                                      viene de la linea y transformarla a su forma original, senal binaria.
%                                      El tipo de decodificacion es:
%                                      .....	Unipolar NRZ
%                                                Convierte la secuencia unipolar a una secuencia binaria usando la
%                                                siguiente transformacion:
%			                                                                         +A volt ---->  1
%			                                                                            0 volt ---->  0
%
%====================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Diciembre 2003
%	VERSION : 1.0
%
%====================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Diciemdre 2003 (DZ)
%====================================================
%
%
sal=zeros(size(sec_cod));
%
%================================================
%
%Selecciona el calculo para cada tipo de codificacion
%
blkdec=([gcs,'/','Decodificador']);
S=get_param(blkdec,'seSS');
%
%
switch (S)
    case 'STS-1'
        sal = sec_cod(:,:)/1;
    case 'STS-3/STS-1'
        sal = sec_cod(:,:)/1;
    case 'STS-12/STM-4'
        sal = sec_cod(:,:)/1.2;
    otherwise
        sal = sec_cod(:,:)/1.3;
end
 
Binaria=double(sal(:,:));

end