function sys = Entrama_SDH_STM1(serial)
%
%================================================
%  Entrama_SDH_STM-1 = Esta funcion permite entramar la senal SDH STM-1 que esta siendo transmitida,
%                            la cual llega en forma serial. 
%                       
%================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%================================================
        [a b]=size(serial);
        y=b/19440; % 9*2160=19440
        trama=zeros(y*9,2160);  %  2160*1 trama=2160
        s=0;
        q=1;
        for k=1:y
            trama(q,1:2160)=serial(1,((1+s):(2160+s)));
            s=s+2160;
            trama(q+1,1:2160)=serial(1,((1+s):(2160+s)));
            s=s+2160;
            trama(q+2,1:2160)=serial(1,((1+s):(2160+s)));
            s=s+2160;
            trama(q+3,1:2160)=serial(1,((1+s):(2160+s)));
            s=s+2160;
            trama(q+4,1:2160)=serial(1,((1+s):(2160+s)));
            s=s+2160;
            trama(q+5,1:2160)=serial(1,((1+s):(2160+s)));
            s=s+2160;
            trama(q+6,1:2160)=serial(1,((1+s):(2160+s)));
            s=s+2160;
            trama(q+7,1:2160)=serial(1,((1+s):(2160+s)));
            s=s+2160;
            trama(q+8,1:2160)=serial(1,((1+s):(2160+s)));
            s=s+2160;
            q=q+9;
        end
        
sys=trama(:,:);

end