function sys = Entrama_SDH_STM4(serial)
%
%================================================
%  Entrama_SDH_STM4 = Esta funcion permite entramar la senal SDH STM-4 que esta siendo transmitida,
%                            la cual llega en forma serial. 
%                       
%================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%================================================
        [a b]=size(serial);
        y=b/77760;  %  9*8640=77760
        trama=zeros(y*9,8640);  %  2160*4 tramas=8640
        s=0;
        q=1;
        for k=1:y
            trama(q,1:8640)=serial(1,((1+s):(8640+s)));
            s=s+8640;
            trama(q+1,1:8640)=serial(1,((1+s):(8640+s)));
            s=s+8640;
            trama(q+2,1:8640)=serial(1,((1+s):(8640+s)));
            s=s+8640;
            trama(q+3,1:8640)=serial(1,((1+s):(8640+s)));
            s=s+8640;
            trama(q+4,1:8640)=serial(1,((1+s):(8640+s)));
            s=s+8640;
            trama(q+5,1:8640)=serial(1,((1+s):(8640+s)));
            s=s+8640;
            trama(q+6,1:8640)=serial(1,((1+s):(8640+s)));
            s=s+8640;
            trama(q+7,1:8640)=serial(1,((1+s):(8640+s)));
            s=s+8640;
            trama(q+8,1:8640)=serial(1,((1+s):(8640+s)));
            s=s+8640;
            q=q+9;
        end
        
sys=trama(:,:);

end