function sys = Entrama_SDH_STM64(serial)
%
%================================================
%  Entrama_SDH_STM64 = Esta funcion permite entramar la senal SDH STM-64 que esta siendo transmitida,
%                            la cual llega en forma serial. 
%                       
%================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%================================================
        [a b]=size(serial);
        y=b/1244160;  %  9*138240=1244160
        trama=zeros(y*9,138240);  %  2160*64 tramas=138240
        s=0;
        q=1;
        for k=1:y
            trama(q,1:138240)=serial(1,((1+s):(138240+s)));
            s=s+138240;
            trama(q+1,1:138240)=serial(1,((1+s):(138240+s)));
            s=s+138240;
            trama(q+2,1:138240)=serial(1,((1+s):(138240+s)));
            s=s+138240;
            trama(q+3,1:138240)=serial(1,((1+s):(138240+s)));
            s=s+138240;
            trama(q+4,1:138240)=serial(1,((1+s):(138240+s)));
            s=s+138240;
            trama(q+5,1:138240)=serial(1,((1+s):(138240+s)));
            s=s+138240;
            trama(q+6,1:138240)=serial(1,((1+s):(138240+s)));
            s=s+138240;
            trama(q+7,1:138240)=serial(1,((1+s):(138240+s)));
            s=s+138240;
            trama(q+8,1:138240)=serial(1,((1+s):(138240+s)));
            s=s+138240;
            q=q+9;
        end
        
sys=trama(:,:);

end