function re = Entrama_SONET_STS1(serial)
%
%===================================================
%  Entrama_SONET_STS1 = Esta funcion permite entramar la senal SONET STS-1 que esta siendo transmitida,
%                                 la cual llega en forma serial. 
%                       
%===================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%===================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%===================================================
%
        [a b]=size(serial);       
        y=b/6480; % 9*720=6480
        trama = zeros(y*9,720);  %  720*1 trama=720
        s=0;
        q=1;
        for k=1:y
            trama(q,1:720)=serial(1,((1+s):(720+s)));
            s=s+720;
            trama(q+1,1:720)=serial(1,((1+s):(720+s)));
            s=s+720;
            trama(q+2,1:720)=serial(1,((1+s):(720+s)));
            s=s+720;
            trama(q+3,1:720)=serial(1,((1+s):(720+s)));
            s=s+720;
            trama(q+4,1:720)=serial(1,((1+s):(720+s)));
            s=s+720;
            trama(q+5,1:720)=serial(1,((1+s):(720+s)));
            s=s+720;
            trama(q+6,1:720)=serial(1,((1+s):(720+s)));
            s=s+720;
            trama(q+7,1:720)=serial(1,((1+s):(720+s)));
            s=s+720;
            trama(q+8,1:720)=serial(1,((1+s):(720+s)));
            s=s+720;
            q=q+9;
        end

re=trama;
end