function [sys]=Entrama_SONET_STS48(serial)
%
%===================================================
%  Entrama_SONET_STS48 = Esta funcion permite entramar la senal SONET STS-48 que esta 
%                                           siendo transmitida, la cual llega en forma serial. 
%                       
%===================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%===================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%===================================================
%
[a b]=size(serial);

y=b/311040;  %  9*34560=311040
trama=zeros(y*9,34560);  %  720*48 tramas=34560
s=0;
q=1;
        for k=1:y
            trama(q,1:34560)=serial(1,((1+s):(34560+s)));
            s=s+34560;
            trama(q+1,1:34560)=serial(1,((1+s):(34560+s)));
            s=s+34560;
            trama(q+2,1:34560)=serial(1,((1+s):(34560+s)));
            s=s+34560;
            trama(q+3,1:34560)=serial(1,((1+s):(34560+s)));
            s=s+34560;
            trama(q+4,1:34560)=serial(1,((1+s):(34560+s)));
            s=s+34560;
            trama(q+5,1:34560)=serial(1,((1+s):(34560+s)));
            s=s+34560;
            trama(q+6,1:34560)=serial(1,((1+s):(34560+s)));
            s=s+34560;
            trama(q+7,1:34560)=serial(1,((1+s):(34560+s)));
            s=s+34560;
            trama(q+8,1:34560)=serial(1,((1+s):(34560+s)));
            s=s+34560;
            q=q+9;
        end
                
sys=trama(:,:);

% [EOF] Entrama_SONET_STS48.m