function [sys]=M1_1536(u);
%========================================================
% M1_1536
%Esta funcion calcula el valor del MS-REI, el cual es el valor que reporta errores en la trama a nivel binario.
%========================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%========================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%========================================================
%
%Variables de Inicializacion
[a b]=size(u);
 w=zeros(a,8);
 
%Ciclo recuperador de B2rec y B2calc
i=(1:a);
x=u(i,1:1536);
y=u(i,1537:3072);

%Ciclo para verificar y/o comparar cada bit de cada uno de los bytes
%B2calc y B2orig en SDH.
for i=1:a
    malo(i,1)=0;
    for p=1:1536
        if x(i,p)~=y(i,p)
            malo(i,1)=malo(i,1)+1;
        end
    end
end

%Ciclo de Verificacion
for i=1:a
    if malo(i,1)==0
        w(i,1:8)=[0 0 0 0 0 0 0 0];
    elseif malo(i,1)==1
        w(i,1:8)=[0 0 0 0 0 0 0 1];
    elseif malo(i,1)==2
        w(i,1:8)=[0 0 0 0 0 0 1 0];
    elseif malo(i,1)==3
        w(i,1:8)=[0 0 0 0 0 0 1 1];
    elseif malo(i,1)==4
        w(i,1:8)=[0 0 0 0 0 1 0 0];
    elseif malo(i,1)==5
        w(i,1:8)=[0 0 0 0 0 1 0 1];
    elseif malo(i,1)==6
        w(i,1:8)=[0 0 0 0 0 1 1 0];
    elseif malo(i,1)==7
        w(i,1:8)=[0 0 0 0 0 1 1 1];
    elseif malo(i,1)==8
        w(i,1:8)=[0 0 0 0 1 0 0 0];
    elseif malo(i,1)==9
        w(i,1:8)=[0 0 0 0 1 0 0 1];
    elseif malo(i,1)==10
        w(i,1:8)=[0 0 0 0 1 0 1 0];
    elseif malo(i,1)==11
        w(i,1:8)=[0 0 0 0 1 0 1 1];
    elseif malo(i,1)==12
        w(i,1:8)=[0 0 0 0 1 1 0 0];
    elseif malo(i,1)==13
        w(i,1:8)=[0 0 0 0 1 1 0 1];
    elseif malo(i,1)==14
        w(i,1:8)=[0 0 0 0 1 1 1 0];
    elseif malo(i,1)==15
        w(i,1:8)=[0 0 0 0 1 1 1 1];
    elseif malo(i,1)==16
        w(i,1:8)=[0 0 0 1 0 0 0 0];
    elseif malo(i,1)==17
        w(i,1:8)=[0 0 0 1 0 0 0 1];
    elseif malo(i,1)==18
        w(i,1:8)=[0 0 0 1 0 0 1 0];
    elseif malo(i,1)==19
        w(i,1:8)=[0 0 0 1 0 0 1 1];
    elseif malo(i,1)==20
        w(i,1:8)=[0 0 0 1 0 1 0 0];
    elseif malo(i,1)==21
        w(i,1:8)=[0 0 0 1 0 1 0 1];
    elseif malo(i,1)==22
        w(i,1:8)=[0 0 0 1 0 1 1 0];
    elseif malo(i,1)==23
        w(i,1:8)=[0 0 0 1 0 1 1 1];
    elseif malo(i,1)==24
        w(i,1:8)=[0 0 0 1 1 0 0 0];
    elseif malo(i,1)==25
        w(i,1:8)=[0 0 0 1 1 0 0 1];
    elseif malo(i,1)==26
        w(i,1:8)=[0 0 0 1 1 0 1 0];
    elseif malo(i,1)==27
        w(i,1:8)=[0 0 0 1 1 0 1 1];
    elseif malo(i,1)==28
        w(i,1:8)=[0 0 0 1 1 1 0 0];
    elseif malo(i,1)==29
        w(i,1:8)=[0 0 0 1 1 1 0 1];
    elseif malo(i,1)==30
        w(i,1:8)=[0 0 0 1 1 1 1 0];
    elseif malo(i,1)==31
        w(i,1:8)=[0 0 0 1 1 1 1 1];
    elseif malo(i,1)==32
        w(i,1:8)=[0 0 1 0 0 0 0 0];
    elseif malo(i,1)==33
        w(i,1:8)=[0 0 1 0 0 0 0 1];
    elseif malo(i,1)==34
        w(i,1:8)=[0 0 1 0 0 0 1 0];
    elseif malo(i,1)==35
        w(i,1:8)=[0 0 1 0 0 0 1 1];
    elseif malo(i,1)==36
        w(i,1:8)=[0 0 1 0 0 1 0 0];
    elseif malo(i,1)==37
        w(i,1:8)=[0 0 1 0 0 1 0 1];
    elseif malo(i,1)==38
        w(i,1:8)=[0 0 1 0 0 1 1 0];
    elseif malo(i,1)==39
        w(i,1:8)=[0 0 1 0 0 1 1 1];
    elseif malo(i,1)==40
        w(i,1:8)=[0 0 1 0 1 0 0 0];
    elseif malo(i,1)==41
        w(i,1:8)=[0 0 1 0 1 0 0 1];
    elseif malo(i,1)==42
        w(i,1:8)=[0 0 1 0 1 0 1 0];
    elseif malo(i,1)==43
        w(i,1:8)=[0 0 1 0 1 0 1 1];
    elseif malo(i,1)==44
        w(i,1:8)=[0 0 1 0 1 1 0 0];
    elseif malo(i,1)==45
        w(i,1:8)=[0 0 1 0 1 1 0 1];
    elseif malo(i,1)==46
        w(i,1:8)=[0 0 1 0 1 1 1 0];
    elseif malo(i,1)==47
        w(i,1:8)=[0 0 1 0 1 1 1 1];
    elseif malo(i,1)==48
        w(i,1:8)=[0 0 1 1 0 0 0 0];
    elseif malo(i,1)==49
        w(i,1:8)=[0 0 1 1 0 0 0 1];
    elseif malo(i,1)==50
        w(i,1:8)=[0 0 1 1 0 0 1 0];
    elseif malo(i,1)==51
        w(i,1:8)=[0 0 1 1 0 0 1 1];
    elseif malo(i,1)==52
        w(i,1:8)=[0 0 1 1 0 1 0 0];
    elseif malo(i,1)==53
        w(i,1:8)=[0 0 1 1 0 1 0 1];
    elseif malo(i,1)==54
        w(i,1:8)=[0 0 1 1 0 1 1 0];
    elseif malo(i,1)==55
        w(i,1:8)=[0 0 1 1 0 1 1 1];
    elseif malo(i,1)==56
        w(i,1:8)=[0 0 1 1 1 0 0 0];
    elseif malo(i,1)==57
        w(i,1:8)=[0 0 1 1 1 0 0 1];
    elseif malo(i,1)==58
        w(i,1:8)=[0 0 1 1 1 0 1 0];
    elseif malo(i,1)==59
        w(i,1:8)=[0 0 1 1 1 0 1 1];
    elseif malo(i,1)==60
        w(i,1:8)=[0 0 1 1 1 1 0 0];
    elseif malo(i,1)==61
        w(i,1:8)=[0 0 1 1 1 1 0 1];
    elseif malo(i,1)==62
        w(i,1:8)=[0 0 1 1 1 1 1 0];
    elseif malo(i,1)==63
        w(i,1:8)=[0 0 1 1 1 1 1 1];
    elseif malo(i,1)==64
        w(i,1:8)=[0 1 0 0 0 0 0 0];
    elseif malo(i,1)==65
        w(i,1:8)=[0 1 0 0 0 0 0 1];
    elseif malo(i,1)==66
        w(i,1:8)=[0 1 0 0 0 0 1 0];
    elseif malo(i,1)==67
        w(i,1:8)=[0 1 0 0 0 0 1 1];
    elseif malo(i,1)==68
        w(i,1:8)=[0 1 0 0 0 1 0 0];
    elseif malo(i,1)==69
        w(i,1:8)=[0 1 0 0 0 1 0 1];
    elseif malo(i,1)==70
        w(i,1:8)=[0 1 0 0 0 1 1 0];
    elseif malo(i,1)==71
        w(i,1:8)=[0 1 0 0 0 1 1 1];
    elseif malo(i,1)==72
        w(i,1:8)=[0 1 0 0 1 0 0 0];
    elseif malo(i,1)==73
        w(i,1:8)=[0 1 0 0 1 0 0 1];
    elseif malo(i,1)==74
        w(i,1:8)=[0 1 0 0 1 0 1 0];
    elseif malo(i,1)==75
        w(i,1:8)=[0 1 0 0 1 0 1 1];
    elseif malo(i,1)==76
        w(i,1:8)=[0 1 0 0 1 1 0 0];
    elseif malo(i,1)==77
        w(i,1:8)=[0 1 0 0 1 1 0 1];
    elseif malo(i,1)==78
        w(i,1:8)=[0 1 0 0 1 1 1 0];
    elseif malo(i,1)==79
        w(i,1:8)=[0 1 0 0 1 1 1 1];
    elseif malo(i,1)==80
        w(i,1:8)=[0 1 0 1 0 0 0 0];
    elseif malo(i,1)==81
        w(i,1:8)=[0 1 0 1 0 0 0 1];
    elseif malo(i,1)==82
        w(i,1:8)=[0 1 0 1 0 0 1 0];
    elseif malo(i,1)==83
        w(i,1:8)=[0 1 0 1 0 0 1 1];
    elseif malo(i,1)==84
        w(i,1:8)=[0 1 0 1 0 1 0 0];
    elseif malo(i,1)==85
        w(i,1:8)=[0 1 0 1 0 1 0 1];
    elseif malo(i,1)==86
        w(i,1:8)=[0 1 0 1 0 1 1 0];
    elseif malo(i,1)==87
        w(i,1:8)=[0 1 0 1 0 1 1 1];
    elseif malo(i,1)==88
        w(i,1:8)=[0 1 0 1 1 0 0 0];
    elseif malo(i,1)==89
        w(i,1:8)=[0 1 0 1 1 0 0 1];
    elseif malo(i,1)==90
        w(i,1:8)=[0 1 0 1 1 0 1 0];
    elseif malo(i,1)==91
        w(i,1:8)=[0 1 0 1 1 0 1 1];
    elseif malo(i,1)==92
        w(i,1:8)=[0 1 0 1 1 1 0 0];
    elseif malo(i,1)==93
        w(i,1:8)=[0 1 0 1 1 1 0 1];
    elseif malo(i,1)==94
        w(i,1:8)=[0 1 0 1 1 1 1 0];
    elseif malo(i,1)==95
        w(i,1:8)=[0 1 0 1 1 1 1 1];
    elseif malo(i,1)==96
        w(i,1:8)=[0 1 1 0 0 0 0 0];
    elseif malo(i,1)==97
        w(i,1:8)=[0 1 1 0 0 0 0 1];
    elseif malo(i,1)==98
        w(i,1:8)=[0 0 0 0 0 0 1 0];
    elseif malo(i,1)==99
        w(i,1:8)=[0 1 1 0 0 0 1 1];
    elseif malo(i,1)==100
        w(i,1:8)=[0 1 1 0 0 1 0 0];
    elseif malo(i,1)==101
        w(i,1:8)=[0 1 1 0 0 1 0 1];
    elseif malo(i,1)==102
        w(i,1:8)=[0 1 1 0 0 1 1 0];
    elseif malo(i,1)==103
        w(i,1:8)=[0 1 1 0 0 1 1 1];
    elseif malo(i,1)==104
        w(i,1:8)=[0 1 1 0 1 0 0 0];
    elseif malo(i,1)==105
        w(i,1:8)=[0 1 1 0 1 0 0 1];
    elseif malo(i,1)==106
        w(i,1:8)=[0 1 1 0 1 0 1 0];
    elseif malo(i,1)==107
        w(i,1:8)=[0 1 1 0 1 0 1 1];
    elseif malo(i,1)==108
        w(i,1:8)=[0 1 1 0 1 1 0 0];
    elseif malo(i,1)==109
        w(i,1:8)=[0 1 1 0 1 1 0 1];
    elseif malo(i,1)==110
        w(i,1:8)=[0 1 1 0 1 1 1 0];
    elseif malo(i,1)==111
        w(i,1:8)=[0 1 1 0 1 1 1 1];
    elseif malo(i,1)==112
        w(i,1:8)=[0 1 1 1 0 0 0 0];
    elseif malo(i,1)==113
        w(i,1:8)=[0 1 1 1 0 0 0 1];
    elseif malo(i,1)==114
        w(i,1:8)=[0 1 1 1 0 0 1 0];
    elseif malo(i,1)==115
        w(i,1:8)=[0 1 1 1 0 0 1 1];
    elseif malo(i,1)==116
        w(i,1:8)=[0 1 1 1 0 1 0 0];
    elseif malo(i,1)==117
        w(i,1:8)=[0 1 1 1 0 1 0 1];
    elseif malo(i,1)==118
        w(i,1:8)=[0 1 1 1 0 1 1 0];
    elseif malo(i,1)==119
        w(i,1:8)=[0 1 1 1 0 1 1 1];
    elseif malo(i,1)==120
        w(i,1:8)=[0 1 1 1 1 0 0 0];
    elseif malo(i,1)==121
        w(i,1:8)=[0 1 1 1 1 0 0 1];
    elseif malo(i,1)==122
        w(i,1:8)=[0 1 1 1 1 0 1 0];
    elseif malo(i,1)==123
        w(i,1:8)=[0 1 1 1 1 0 1 1];
    elseif malo(i,1)==124
        w(i,1:8)=[0 1 1 1 1 1 0 0];
    elseif malo(i,1)==125
        w(i,1:8)=[0 1 1 1 1 1 0 1];
    elseif malo(i,1)==126
        w(i,1:8)=[0 1 1 1 1 1 1 0];
    elseif malo(i,1)==127
        w(i,1:8)=[0 1 1 1 1 1 1 1];
    elseif malo(i,1)==128
        w(i,1:8)=[1 0 0 0 0 0 0 0];
    elseif malo(i,1)==129
        w(i,1:8)=[1 0 0 0 0 0 0 1];
    elseif malo(i,1)==130
        w(i,1:8)=[1 0 0 0 0 0 1 0];
    elseif malo(i,1)==131
        w(i,1:8)=[1 0 0 0 0 0 1 1];
    elseif malo(i,1)==132
        w(i,1:8)=[1 0 0 0 0 1 0 0];
    elseif malo(i,1)==133
        w(i,1:8)=[1 0 0 0 0 1 0 1];
    elseif malo(i,1)==134
        w(i,1:8)=[1 0 0 0 0 1 1 0];
    elseif malo(i,1)==135
        w(i,1:8)=[1 0 0 0 0 1 1 1];
    elseif malo(i,1)==136
        w(i,1:8)=[1 0 0 0 1 0 0 0];
    elseif malo(i,1)==137
        w(i,1:8)=[1 0 0 0 1 0 0 1];
    elseif malo(i,1)==138
        w(i,1:8)=[1 0 0 0 1 0 1 0];
    elseif malo(i,1)==139
        w(i,1:8)=[1 0 0 0 1 0 1 1];
    elseif malo(i,1)==140
        w(i,1:8)=[1 0 0 0 1 1 0 0];
    elseif malo(i,1)==141
        w(i,1:8)=[1 0 0 0 1 1 0 1];
    elseif malo(i,1)==142
        w(i,1:8)=[1 0 0 0 1 1 1 0];
    elseif malo(i,1)==143
        w(i,1:8)=[1 0 0 0 1 1 1 1];
    elseif malo(i,1)==144
        w(i,1:8)=[1 0 0 1 0 0 0 0];
    elseif malo(i,1)==145
        w(i,1:8)=[1 0 0 1 0 0 0 1];
    elseif malo(i,1)==146
        w(i,1:8)=[1 0 0 1 0 0 1 0];
    elseif malo(i,1)==147
        w(i,1:8)=[1 0 0 1 0 0 1 1];
    elseif malo(i,1)==148
        w(i,1:8)=[1 0 0 1 0 1 0 0];
    elseif malo(i,1)==149
        w(i,1:8)=[1 0 0 1 0 1 0 1];
    elseif malo(i,1)==150
        w(i,1:8)=[1 0 0 1 0 1 1 0];
    elseif malo(i,1)==151
        w(i,1:8)=[1 0 0 1 0 1 1 1];
    elseif malo(i,1)==152
        w(i,1:8)=[1 0 0 1 1 0 0 0];
    elseif malo(i,1)==153
        w(i,1:8)=[1 0 0 1 1 0 0 1];
    elseif malo(i,1)==154
        w(i,1:8)=[1 0 0 1 1 0 1 0];
    elseif malo(i,1)==155
        w(i,1:8)=[1 0 0 1 1 0 1 1];
    elseif malo(i,1)==156
        w(i,1:8)=[1 0 0 1 1 1 0 0];
    elseif malo(i,1)==157
        w(i,1:8)=[1 0 0 1 1 1 0 1];
    elseif malo(i,1)==158
        w(i,1:8)=[1 0 0 1 1 1 1 0];
    elseif malo(i,1)==159
        w(i,1:8)=[1 0 0 1 1 1 1 1];
    elseif malo(i,1)==160
        w(i,1:8)=[1 0 1 0 0 0 0 0];
    elseif malo(i,1)==161
        w(i,1:8)=[1 0 1 0 0 0 0 1];
    elseif malo(i,1)==162
        w(i,1:8)=[1 0 1 0 0 0 1 0];
    elseif malo(i,1)==163
        w(i,1:8)=[1 0 1 0 0 0 1 1];
    elseif malo(i,1)==164
        w(i,1:8)=[1 0 1 0 0 1 0 0];
    elseif malo(i,1)==165
        w(i,1:8)=[1 0 1 0 0 1 0 1];
    elseif malo(i,1)==166
        w(i,1:8)=[1 0 1 0 0 1 1 0];
    elseif malo(i,1)==167
        w(i,1:8)=[1 0 1 0 0 1 1 1];
    elseif malo(i,1)==168
        w(i,1:8)=[1 0 1 0 1 0 0 0];
    elseif malo(i,1)==169
        w(i,1:8)=[1 0 1 0 1 0 0 1];
    elseif malo(i,1)==170
        w(i,1:8)=[1 0 1 0 1 0 1 0];
    elseif malo(i,1)==171
        w(i,1:8)=[1 0 1 0 1 0 1 1];
    elseif malo(i,1)==172
        w(i,1:8)=[1 0 1 0 1 1 0 0];
    elseif malo(i,1)==173
        w(i,1:8)=[1 0 1 0 1 1 0 1];
    elseif malo(i,1)==174
        w(i,1:8)=[1 0 1 0 1 1 1 0];
    elseif malo(i,1)==175
        w(i,1:8)=[1 0 1 0 1 1 1 1];
    elseif malo(i,1)==176
        w(i,1:8)=[1 0 1 1 0 0 0 0];
    elseif malo(i,1)==177
        w(i,1:8)=[1 0 1 1 0 0 0 1];
    elseif malo(i,1)==178
        w(i,1:8)=[1 0 1 1 0 0 1 0];
    elseif malo(i,1)==179
        w(i,1:8)=[1 0 1 1 0 0 1 1];
    elseif malo(i,1)==180
        w(i,1:8)=[1 0 1 1 0 1 0 0];
    elseif malo(i,1)==181
        w(i,1:8)=[1 0 1 1 0 1 0 1];
    elseif malo(i,1)==182
        w(i,1:8)=[1 0 1 1 0 1 1 0];
    elseif malo(i,1)==183
        w(i,1:8)=[1 0 1 1 0 1 1 1];
    elseif malo(i,1)==184
        w(i,1:8)=[1 0 1 1 1 0 0 0];
    elseif malo(i,1)==185
        w(i,1:8)=[1 0 1 1 1 0 0 1];
    elseif malo(i,1)==186
        w(i,1:8)=[1 0 1 1 1 0 1 0];
    elseif malo(i,1)==187
        w(i,1:8)=[1 0 1 1 1 0 1 1];
    elseif malo(i,1)==188
        w(i,1:8)=[1 0 1 1 1 1 0 0];
    elseif malo(i,1)==189
        w(i,1:8)=[1 0 1 1 1 1 0 1];
    elseif malo(i,1)==190
        w(i,1:8)=[1 0 1 1 1 1 1 0];
    elseif malo(i,1)==191
        w(i,1:8)=[1 0 1 1 1 1 1 1];
    elseif malo(i,1)==192
        w(i,1:8)=[1 1 0 0 0 0 0 0];
    elseif malo(i,1)==193
        w(i,1:8)=[1 1 0 0 0 0 0 1];
    elseif malo(i,1)==194
        w(i,1:8)=[1 1 0 0 0 0 1 0];
    elseif malo(i,1)==195
        w(i,1:8)=[1 1 0 0 0 0 1 1];
    elseif malo(i,1)==196
        w(i,1:8)=[1 1 0 0 0 1 0 0];
    elseif malo(i,1)==197
        w(i,1:8)=[1 1 0 0 0 1 0 1];
    elseif malo(i,1)==198
        w(i,1:8)=[1 1 0 0 0 1 1 0];
    elseif malo(i,1)==199
        w(i,1:8)=[1 1 0 0 0 1 1 1];
    elseif malo(i,1)==200
        w(i,1:8)=[1 1 0 0 1 0 0 0];
    elseif malo(i,1)==201
        w(i,1:8)=[1 1 0 0 1 0 0 1];
    elseif malo(i,1)==202
        w(i,1:8)=[1 1 0 0 1 0 1 0];
    elseif malo(i,1)==203
        w(i,1:8)=[1 1 0 0 1 0 1 1];
    elseif malo(i,1)==204
        w(i,1:8)=[1 1 0 0 1 1 0 0];
    elseif malo(i,1)==205
        w(i,1:8)=[1 1 0 0 1 1 0 1];
    elseif malo(i,1)==206
        w(i,1:8)=[1 1 0 0 1 1 1 0];
    elseif malo(i,1)==207
        w(i,1:8)=[1 1 0 0 1 1 1 1];
    elseif malo(i,1)==208
        w(i,1:8)=[1 1 0 1 0 0 0 0];
    elseif malo(i,1)==209
        w(i,1:8)=[1 1 0 1 0 0 0 1];
    elseif malo(i,1)==210
        w(i,1:8)=[1 1 0 1 0 0 1 0];
    elseif malo(i,1)==211
        w(i,1:8)=[1 1 0 1 0 0 1 1];
    elseif malo(i,1)==212
        w(i,1:8)=[1 1 0 1 0 1 0 0];
    elseif malo(i,1)==213
        w(i,1:8)=[1 1 0 1 0 1 0 1];
    elseif malo(i,1)==214
        w(i,1:8)=[1 1 0 1 0 1 1 0];
    elseif malo(i,1)==215
        w(i,1:8)=[1 1 0 1 0 1 1 1];
    elseif malo(i,1)==216
        w(i,1:8)=[1 1 0 1 1 0 0 0];
    elseif malo(i,1)==217
        w(i,1:8)=[1 1 0 1 1 0 0 1];
    elseif malo(i,1)==218
        w(i,1:8)=[1 1 0 1 1 0 1 0];
    elseif malo(i,1)==219
        w(i,1:8)=[1 1 0 1 1 0 1 1];
    elseif malo(i,1)==220
        w(i,1:8)=[1 1 0 1 1 1 0 0];
    elseif malo(i,1)==221
        w(i,1:8)=[1 1 0 1 1 1 0 1];
    elseif malo(i,1)==222
        w(i,1:8)=[1 1 0 1 1 1 1 0];
    elseif malo(i,1)==223
        w(i,1:8)=[1 1 0 1 1 1 1 1];
    elseif malo(i,1)==224
        w(i,1:8)=[1 1 1 0 0 0 0 0];
    elseif malo(i,1)==225
        w(i,1:8)=[1 1 1 0 0 0 0 1];
    elseif malo(i,1)==226
        w(i,1:8)=[1 1 1 0 0 0 1 0];
    elseif malo(i,1)==227
        w(i,1:8)=[1 1 1 0 0 0 1 1];
    elseif malo(i,1)==228
        w(i,1:8)=[1 1 1 0 0 1 0 0];
    elseif malo(i,1)==229
        w(i,1:8)=[1 1 1 0 0 1 0 1];
    elseif malo(i,1)==230
        w(i,1:8)=[1 1 1 0 0 1 1 0];
    elseif malo(i,1)==231
        w(i,1:8)=[1 1 1 0 0 1 1 1];
    elseif malo(i,1)==232
        w(i,1:8)=[1 1 1 0 1 0 0 0];
    elseif malo(i,1)==233
        w(i,1:8)=[1 1 1 0 1 0 0 1];
    elseif malo(i,1)==234
        w(i,1:8)=[1 1 1 0 1 0 1 0];
    elseif malo(i,1)==235
        w(i,1:8)=[1 1 1 0 1 0 1 1];
    elseif malo(i,1)==236
        w(i,1:8)=[1 1 1 0 1 1 0 0];
    elseif malo(i,1)==237
        w(i,1:8)=[1 1 1 0 1 1 0 1];
    elseif malo(i,1)==238
        w(i,1:8)=[1 1 1 0 1 1 1 0];
    elseif malo(i,1)==239
        w(i,1:8)=[1 1 1 0 1 1 1 1];
    elseif malo(i,1)==240
        w(i,1:8)=[1 1 1 1 0 0 0 0];
    elseif malo(i,1)==241
        w(i,1:8)=[1 1 1 1 0 0 0 1];
    elseif malo(i,1)==242
        w(i,1:8)=[1 1 1 1 0 0 1 0];
    elseif malo(i,1)==243
        w(i,1:8)=[1 1 1 1 0 0 1 1];
    elseif malo(i,1)==244
        w(i,1:8)=[1 1 1 1 0 1 0 0];
    elseif malo(i,1)==245
        w(i,1:8)=[1 1 1 1 0 1 0 1];
    elseif malo(i,1)==246
        w(i,1:8)=[1 1 1 1 0 1 1 0];
    elseif malo(i,1)==247
        w(i,1:8)=[1 1 1 1 0 1 1 1];
    elseif malo(i,1)==248
        w(i,1:8)=[1 1 1 1 1 0 0 0];
    elseif malo(i,1)==249
        w(i,1:8)=[1 1 1 1 1 0 0 1];
    elseif malo(i,1)==250
        w(i,1:8)=[1 1 1 1 1 0 1 0];
    elseif malo(i,1)==251
        w(i,1:8)=[1 1 1 1 1 0 1 1];
    elseif malo(i,1)==252
        w(i,1:8)=[1 1 1 1 1 1 0 0];
    elseif malo(i,1)==253
        w(i,1:8)=[1 1 1 1 1 1 0 1];
    elseif malo(i,1)==254
        w(i,1:8)=[1 1 1 1 1 1 1 0];
    elseif malo(i,1)==255
        w(i,1:8)=[1 1 1 1 1 1 1 1];
    else
        w(i,1:8)=[1 1 1 1 1 1 1 1];
    end
end

sys=w(:,:);

end
%[EOF] M1_1536.m