function [sys]=M1_24(u);
%========================================================
% M1_24
%Esta funcion calcula el valor del MS-REI, el cual es el valor que reporta errores en la trama a nivel binario.
%========================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%========================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%========================================================
%
%Variables de Inicializacion
[a b]=size(u);
 w=zeros(a,8);
 
%Ciclo recuperador de B2rec y B2calc
i=(1:a);
x=u(i,1:24);
y=u(i,25:48);


 %Ciclo para verificar y/o comparar cada bit de cada uno de los bytes
%B2calc y B2orig en SDH.
for i=1:a
    malo(i,1)=0;
    for p=1:24
        if x(i,p)~=y(i,p)
            malo(i,1)=malo(i,1)+1;
        end
    end
end

%Ciclo de Verificacion
for i=1:a
    if malo(i,1)==0
        w(i,1:8)=[0 0 0 0 0 0 0 0];
    elseif malo(i,1)==1
        w(i,1:8)=[0 0 0 0 0 0 0 1];
    elseif malo(i,1)==2
        w(i,1:8)=[0 0 0 0 0 0 1 0];
    elseif malo(i,1)==3
        w(i,1:8)=[0 0 0 0 0 0 1 1];
    elseif malo(i,1)==4
        w(i,1:8)=[0 0 0 0 0 1 0 0];
    elseif malo(i,1)==5
        w(i,1:8)=[0 0 0 0 0 1 0 1];
    elseif malo(i,1)==6
        w(i,1:8)=[0 0 0 0 0 1 1 0];
    elseif malo(i,1)==7
        w(i,1:8)=[0 0 0 0 0 1 1 1];
    elseif malo(i,1)==8
        w(i,1:8)=[0 0 0 0 1 0 0 0];
    elseif malo(i,1)==9
        w(i,1:8)=[0 0 0 0 1 0 0 1];
    elseif malo(i,1)==10
        w(i,1:8)=[0 0 0 0 1 0 1 0];
    elseif malo(i,1)==11
        w(i,1:8)=[0 0 0 0 1 0 1 1];
    elseif malo(i,1)==12
        w(i,1:8)=[0 0 0 0 1 1 0 0];
    elseif malo(i,1)==13
        w(i,1:8)=[0 0 0 0 1 1 0 1];
    elseif malo(i,1)==14
        w(i,1:8)=[0 0 0 0 1 1 1 0];
    elseif malo(i,1)==15
        w(i,1:8)=[0 0 0 0 1 1 1 1];
    elseif malo(i,1)==16
        w(i,1:8)=[0 0 0 1 0 0 0 0];
    elseif malo(i,1)==17
        w(i,1:8)=[0 0 0 1 0 0 0 1];
    elseif malo(i,1)==18
        w(i,1:8)=[0 0 0 1 0 0 1 0];
    elseif malo(i,1)==19
        w(i,1:8)=[0 0 0 1 0 0 1 1];
    elseif malo(i,1)==20
        w(i,1:8)=[0 0 0 1 0 1 0 0];
    elseif malo(i,1)==21
        w(i,1:8)=[0 0 0 1 0 1 0 1];
    elseif malo(i,1)==22
        w(i,1:8)=[0 0 0 1 0 1 1 0];
    elseif malo(i,1)==23
        w(i,1:8)=[0 0 0 1 0 1 1 1];
    elseif malo(i,1)==24
        w(i,1:8)=[0 0 0 1 1 0 0 0];
    end
end

sys=w(:,:);

end
%[EOF] M1_24.m