function [h]=Puntero_LOH(ent)
%==============================================
% Puntero_LOH= Esta funcion genra uan matriz con el valor del puntero. El
%              tamano de dicha matriz posee el mismo numero de filas de la senal
%              transmitida.
%==============================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Diciembre 2003
%	VERSION : 1.0
%
%==============================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%==============================================
%
%Obtencion de Parameros del Bloque
i=1;band=0;
while i<=50
    if isempty(find_system(gcs,'Name',['LTE_mux',int2str(i)]))==0
        band=2; %Encontrado
        break    
    end
        
    if isempty(find_system(gcs,'Name',['Mapea DS2 a VT6 Asynchronous',int2str(i)]))==0
        band=2; %Encontrado
        break    
    end
    
    if isempty(find_system(gcs,'Name',['Mapea DS1 a VT1.5 Asynchronous',int2str(i)]))==0
        band=2;  
        break    
    end    

    if isempty(find_system(gcs,'Name',['Mapea DS1 a VT1.5 Bit_synchronous',int2str(i)]))==0
        band=2;  
        break        
    end

    if isempty(find_system(gcs,'Name',['Mapea DS1 a VT1.5 Byte_synchronous ',int2str(i)]))==0
        band=2;  
        break
    end    

    if isempty(find_system(gcs,'Name',['Mapea CEPT1 a VT2 Asynchronous',int2str(i)]))==0
        band=2;  
        break
    end    

    if isempty(find_system(gcs,'Name',['Mapea CEPT1 a VT2 Bit_synchronous',int2str(i)]))==0
        band=2;  
        break
    end    

    if isempty(find_system(gcs,'Name',['Mapea CEPT1 a VT2 Byte_synchronous_30CAS',int2str(i)]))==0
        band=2;  
        break
    end    

    if isempty(find_system(gcs,'Name',['Mapea CEPT1 a VT2 Byte_synchronous_31CCS',int2str(i)]))==0
        band=2;  
        break
    end    

    if isempty(find_system(gcs,'Name',['Mapea DS1C a VT3 Asynchronous DS1C',int2str(i)]))==0
        band=2;  
        break
    end    
i=i+1;
end
%
%Obtencion de Parameros del Bloque
j=1;
while j<=50
        if isempty(find_system(gcs,'Name','Line Overhead Tx (LOH)'))==1
            if isempty(find_system(gcs,'Name',['Line Overhead Tx (LOH)',int2str(j)]))==0
                BlkPunt=([gcs,'/','Line Overhead Tx (LOH)',int2str(j)]);
                numtramas=str2num(get_param(BlkPunt,'Num_Tramas'));
                break
            end
        else
            BlkPunt=([gcs,'/','Line Overhead Tx (LOH)']);
            numtramas=str2num(get_param(BlkPunt,'Num_Tramas'));
            break
        end
        j=j+1;
 end
%
%
if band==2
    Point=zeros((numtramas*9+27),10);
else
    Point=zeros((numtramas*9+18),10);
end
%
%==============================================
%
Point(1,:)=ent(1,1:10);
%
h=Point(:,:);
%[EOF] Puntero_LOH.m