function fotodiodotdm(action, varargin)
%========================================
%
%    Esta funcion permite modificar la mascara del bloque "FOTODETECTOR".
%                             
%========================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%========================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%========================================
%
% Cache Bloque actual
curBlk=([gcs,'/','Fotodetector']);

% Cache Bloque actual "mask enables" y "mask visibilities"
cachedEnables   = get_param(curBlk,'MaskEnables');
newEnables      = cachedEnables;
cachedVisibilities= get_param(curBlk,'MaskVisibilities');
newVisibilities  = cachedVisibilities;

% Variables de las que va a depender la mascara
p                 = get_param(curBlk,'selSS');   % Tipo de Senal SONET/SDH
% padAlo         = get_param(curBlk,'frec'); % Frecuencia

% Parametros siempre "enable"
newEnables{1} = 'on'; % Tipo de Senal SONET/SDH
newVisibilities{1} = 'on';
newEnables{6} = 'on'; % Frecuencia
newVisibilities{6} = 'on';

% "Disable", todos los otros parametros por defecto.
% "Turn On", cada parametro individualmente como sea necesario.
newEnables{2} = 'off';% Velocidad de 622 Mbps
newVisibilities{2} = 'off';
newEnables{3} = 'off';% Velocidad de 2.5 Gbps
newVisibilities{3} = 'off';
newEnables{4} = 'off';% Velocidad de 10 Gbps
newVisibilities{4} = 'off';
newEnables{5} = 'off';% Velocidad de 40 Gbps
newVisibilities{5} = 'off';

%%%%%%%%%%%%%%%%
switch (p)
    case 'STS-12/STM-4'
    newEnables{2} = 'on';
    newVisibilities{2} = 'on';
    newVisibilities{3} = 'off';
    newVisibilities{4} = 'off';
    newVisibilities{5} = 'off';
    
    case 'STS-48/STM-16'
    newEnables{3} = 'on';
    newVisibilities{2} = 'off';
    newVisibilities{3} = 'on';
    newVisibilities{4} = 'off';
    newVisibilities{5} = 'off';
        
    case 'STS-192/STM-64'
    newEnables{4} = 'on';
    newVisibilities{2} = 'off';
    newVisibilities{3} = 'off';
    newVisibilities{4} = 'on';
    newVisibilities{5} = 'off';
        
    case 'STS-768/STM-256'
    newEnables{5} = 'on';
    newVisibilities{2} = 'off';
    newVisibilities{3} = 'off';
    newVisibilities{4} = 'off';
    newVisibilities{5} = 'on';
        
end

% Only update the block mask enables if they have changed
if (~(isequal(cachedEnables, newEnables))| ...
        ( ~isequal(cachedVisibilities, newVisibilities)))
    set_param(curBlk, 'MaskEnables', newEnables,'MaskVisibilities',newVisibilities);
end

% [EOF] fotodiodotdm.m