function y = mapeoDS3_SPE(u)
                                      %*****************************************************
                                      %* MAPEO DE UNA SEAL DS3 EN UN STS-1 SPE SIN EL POH *  
                                      %*****************************************************

% NOTA:
% En el siguiente script se procede a mapear una seal DS3 en un C-3 luego
% se convierte el contenedor C-3 en un STS-1 SPE sin el POH
[Na Nb]=size(u);%(Dimensiones de la seal)
  
    %Inicializacion de variables para el ciclo F1
    %--------------------------------------------
    Nciclo=Nb/5592;%(N de tramas Requeridas)
    Nfila=Nciclo*9;
    q=zeros(Nfila,672);
    w=zeros(Nfila,688);
    
    fila=0; H=0;
    for j=1:Nciclo
        for i=1:9
            q(fila+1,20:224)=u(1,1+H:205+H);
            H=H+205;
            q(fila+1,241:448)=u(1,1+H:208+H);
            H=H+208;
            q(fila+1,465:672)=u(1,1+H:208+H);
            H=H+208;
            fila=fila+1;
        end
        q(fila-8,464)=u(1,1+H);
        H=H+1;
        q(fila-7,464)=u(1,1+H);
        H=H+1;
        q(fila-6,464)=u(1,1+H);
        H=H+1;
        %---------------------
        % C1=1 implica que S1=relleno
        q(fila-5,19)=1; q(fila-5,233:234)=[1 1]; q(fila-5,457:458)=[1 1];
        q(fila-4,19)=1; q(fila-4,233:234)=[1 1]; q(fila-4,457:458)=[1 1];
        q(fila-3,19)=1; q(fila-3,233:234)=[1 1]; q(fila-3,457:458)=[1 1];
        q(fila-2,19)=1; q(fila-2,233:234)=[1 1]; q(fila-2,457:458)=[1 1]; 
        q(fila-1,19)=1; q(fila-1,233:234)=[1 1]; q(fila-1,457:458)=[1 1];
        q(fila,19)  =1; q(fila,233:234)  =[1 1]; q(fila,457:458)  =[1 1];
    end
       
        % etapa donde convierto el C-3 en un STS-1 SPE-POH adicionandole dos columnas de bytes
    
        w(:,1:224)=q(:,1:224);
        w(:,233:456)=q(:,225:448);
        w(:,465:688)=q(:,449:672);
    
        %--------------------------
     
y=w;
end