function  y = mapeo_DS2_asincrono(u)


%NOTA: Este mapeo se realizo con un generador de Supertramas

                                            %***********************************
                                            %*MAPEO DE DS2 ASINCRONO EN UN VT6*
                                            %***********************************

% Se trabajo con velocidad nominal de la senal PDH, DS1C = 3.152 Mbps
% %%%% "Solo se trabaja con velocidad nominal" %%%% %
[Na Nb]=size(u);
Nciclo = Nb/789;% (N de Supertramas requeridas)
Nfila=Nciclo*9 + 9;
q=zeros(Nfila,96);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 1 Trama
q(1:9,1:96)=zeros(9,96);
V1=[0 1 1 0 0 0 0 0];% operacion normal  
q(1,1:8)=V1;
fila=1;
fila=fila+9;

%Inicializacion de variables
B=0; H=0;

%          Mapeo
%----------------------------
for i=1:Nciclo
    B=B+1;
    c=0;
    
    for i=1:9
        if i==1
            q(fila,17:23)=u(1,1+H:7+H);
            H=H+7;
            q(fila,25:96)=u(1,1+H:72+H);
            H=H+72;
        elseif  i==2
            c=c+1;
            q(fila+c,1:96)=u(1,1+H:96+H);
            H=H+96;
        elseif  i==3
            c=c+1;
            q(fila+c,1:24)=u(1,1+H:24+H);
            H=H+24;
            q(fila+c,41)=1; %C1=1. Este bit es de relleno
            q(fila+c,47)=u(1,1+H);
            H=H+1;
            q(fila+c,49:96)=u(1,1+H:48+H);
            H=H+48;
        elseif  i==4
            c=c+1;
            q(fila+c,1:96)=u(1,1+H:96+H);
            H=H+96;
        elseif  i==5
            c=c+1;
            q(fila+c,1:48)=u(1,1+H:48+H);
            H=H+48;
            q(fila+c,57:64)=u(1,1+H:8+H);
            H=H+8;
            q(fila+c,65)=1; %C1=1. Este bit es de relleno
            q(fila+c,71)=u(1,1+H);
            H=H+1;
            q(fila+c,73:96)=u(1,1+H:24+H);
            H=H+24;
         elseif  i==6
             c=c+1;
            q(fila+c,1:96)=u(1,1+H:96+H);
            H=H+96;
        elseif  i==7
            c=c+1;
            q(fila+c,1:72)=u(1,1+H:72+H);
            H=H+72;
            q(fila+c,89)=1; %C1=1. Este bit es de relleno
            q(fila+c,91:94)=u(1,1+H:4+H);
            H=H+4;
        else
            c=c+1;
            q(fila+c,1:96)=u(1,1+H:96+H);
            H=H+96;
        end
    end
    
    if B==1
        V2=[0 0 0 0 0 0 0 0];% no existe retraso
        V5=[0 0 0 0 0 1 0 0];
        q(fila,1:8)=V2;
        q(fila,9:16)=V5;
    elseif B==2
        V3=[0 0 0 0 0 0 0 0];% Inhabilitado debido a que el puntero vale 0. Se trabajo sin retraso en este nivel
        J2 =[0 0 0 0 0 0 0 0];% No utilizado
        q(fila,1:8)=V3;
        q(fila,9:16)=J2;
    elseif B==3
        V4=[0 0 0 0 0 0 0 0];% Inhabilitado debido a que no se trabajo con justificacion de frecuencia senales PDH velocidad nominal
        N2=[0 0 0 0 0 0 0 0];% No utilizado
        q(fila,1:8)=V4;
        q(fila,9:16)=N2;
    else
        V1=[0 1 1 0 0 0 0 0];% operacion normal  
        K4=[0 0 0 0 0 0 0 0];% No utilizado
        q(fila,1:8)=V1;
        q(fila,9:16)=K4;
        B=0;
    end
    
    fila=fila+9;
    
end

y=q(:,:);

end
%[EOF] mapeo_DS2_asincrono.m