function I=voltage2current(V)
%==============================================
% voltage2current= Esta funcion permite transformar el valor del voltage de la entrada
%                           a corriente.
%==============================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Diciembre 2003
%	VERSION : 1.0
%
%==============================================
%	Realizado bajo MATLAB 6.5 Release 13/ Diciemdre 2003 (DZ)
%==============================================
%
%
[a b]=size(V);
R=0;
Im=zeros(a,b);
%
i=1; band=0;

    while i<=50
        if isempty(find_system(gcs,'Name','Laser'))==1
            
            if isempty(find_system(gcs,'Name',['Laser',int2str(i)]))==1
                band=2;% No Encontrado
            else
                band=3; %Encontrado
                blk=([gcs,'/','Laser',int2str(i)]);
                S=get_param(blk,'sel');
                T=get_param(blk,'frec');
                break
            end
            
        else
            
            band=4;  %Encontrado
            blk=([gcs,'/','Laser']);
            S=get_param(blk,'sel');
            T=get_param(blk,'frec');
            break
            
        end
        i=i+1
    end
%
%
switch (T)
    case '1310'
        switch (S)
            case 'STS-12/STM-4'
                Iop=0.02;  %Las unidades de la resistencia son "Amperes".
                Ibias=0.012;
            case 'STS-48/STM-16'
                Iop=0.03;  %Las unidades de la resistencia son "Amperes".
                Ibias=0.012;
            otherwise
                Iop=0.03;  %Las unidades de la resistencia son "Amperes".
                Ibias=0.011;
        end
        
    case '1550'
        switch (S)
            case 'STS-12/STM-4'
                Iop=0.02;  %Las unidades de la resistencia son "Amperes".
                Ibias=0.012;
            case 'STS-48/STM-16'
                Iop=0.035;  %Las unidades de la resistencia son "Amperes".
                Ibias=0.012;
            otherwise
                Iop=0.065;  %Las unidades de la resistencia son "Amperes".
                Ibias=0.02;
        end
end

%%%%%%%%%%%%%%
for i=1:b
    if (V(i)>=1);
        Im(i)=V(i)*Iop;
    else (V(i)==0);
        Im(i)=Ibias;
    end
end
%%%%%%%%%%%%%%

I=Im(:,:);
end
% [EOF] voltage2current.m        